Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_query_from_factory

## Name

librdf_new_query_from_factory -- Constructor - create a new librdf_query object

## Synopsis

``librdf_query* `librdf_new_query_from_factory`` (librdf_world * `world`, librdf_query_factory* `factory`, const char * `name`, librdf_uri * `uri`, const unsigned char * `query_string`);`

## Arguments

`world`

  redland world object

`factory`

  the factory to use to construct the query

`name`

  query language name

`uri`

  query language URI (or NULL)

`query_string`

  the query string

## Return value

a new librdf_query object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_query_from_query | Up | librdf_free_query